sources:
  simple: {}
  
  # view source for view tests
  viewsrc:
    process:
      type: edu.byu.hbll.box.TestProcessor
      
  # view template
  view:
    template:
      id: view
      params:
        local: viewsrc
        
  # cachedView template
  cachedview:
    template:
      id: cachedView
      params:
        local: viewsrc
        
  # makes sure harvests are triggered from view
  followview:
    process:
      type: edu.byu.hbll.box.TestProcessor
    harvest:
      type: edu.byu.hbll.box.impl.View
      schedule: "* * * * * * 9999"
      params:
        local: view
        harvestUnprocessed: true

  # a view that connects to nothing, should throw errors
  badview:
    template:
      id: view
      params:
        uri: http://localhost:8080/fake/box
        
  # make sure processing fails if there is a dependency error on a view
  viewdeperror:
    process:
      type: edu.byu.hbll.box.TestProcessor
      
  # tests to make sure views are truly limited
  limitedview:
    template:
      id: view
      params:
        local: simple
        fields: 
          - id
          - obj.obj
          - arrobj.arrobj
          - arr
          - sub
        facets: 
          - "last:0"
          - "first:1"
        statuses: 
          - ready
          - deleted

  # to test the saveDeleted flag
  savedeletedtrue:
    harvest:
      type: edu.byu.hbll.box.impl.View
      saveDeleted: true
      params:
        local: simple
  savedeletedfalse:
    harvest:
      type: edu.byu.hbll.box.impl.View
      saveDeleted: false
      params:
        local: simple
        
  # follows a source, makes sure ids are put on queue and not processed by harvester
  harvestunprocessed:
    process:
      type: edu.byu.hbll.box.TestProcessor
    harvest:
      type: edu.byu.hbll.box.impl.View
      params:
        local: simple
        harvestUnprocessed: true
        
  # test that HttpBoxClient parameters being set correctly
  authnone:
    template:
      id: view
      params:
        uri: http://www.example.com/
  authfull:
    template:
      id: view
      params:
        uri: http://www.example.com/
        username: a
        password: b
        accessTokenUri: http://www.example.com/c
        clientId: d
        clientSecret: e
